Launch document signing Run in API Explorer
Ask AI
Body
-
Participants who will be viewing and signing the documents. Must be given in the order you would like the participants to view the documents.
-
Array document template UUIDs to be added as adhoc documents of the document signing process. Required without document_pack.
-
Array variable dependant models that are needed for variable replacing across all documents that are provided.
Additional properties are allowed.
POST
/api/v1/document-signing
curl \
--request POST 'https://api.plannrcrm.com/api/v1/document-signing' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"participant_uuids": [
"87d60fae-1c83-4fd1-a266-c8ccc13c1748",
"baa124bb-7465-4de9-9a7e-2f94c91eb708",
"82df3b44-f3fc-48e1-91bc-14d88e58fd44"
],
"document_template_uuids": [
"9d59b9ff-e0af-443a-90c2-31434b649423",
"713fd80a-6318-400d-a0bb-39eb79513d2e",
"4b941a81-dfd1-49e9-b9db-194cbbba5888"
],
"document_template_dependants": {
"client-1": "7af6d525-14d7-444d-9824-366af3381080",
"client-2": "8c9d4766-6daa-45d3-a234-e232633fab9a"
}
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"participant_uuids": [
"87d60fae-1c83-4fd1-a266-c8ccc13c1748",
"baa124bb-7465-4de9-9a7e-2f94c91eb708",
"82df3b44-f3fc-48e1-91bc-14d88e58fd44"
],
"document_template_uuids": [
"9d59b9ff-e0af-443a-90c2-31434b649423",
"713fd80a-6318-400d-a0bb-39eb79513d2e",
"4b941a81-dfd1-49e9-b9db-194cbbba5888"
],
"document_template_dependants": {
"client-1": "7af6d525-14d7-444d-9824-366af3381080",
"client-2": "8c9d4766-6daa-45d3-a234-e232633fab9a"
}
}
Response examples (200)
{
"uuid": "46af7111-a3d5-4c00-a1da-f47fc764006f",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"name": 1000243230,
"status": "pending",
"participants": [
{
"uuid": "58f318f8-7093-4a40-adcc-86b3e94200d3",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"alphatrust_id": 1000145124,
"name": "Gareth Thompson",
"status": "pending"
}
],
"documents": [
{
"uuid": "ae0ba8ad-dc7b-4117-86b0-081fec357857",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"alphatrust_id": 1000455612,
"name": "Welcome Pack",
"status": "pending"
}
],
"launched_by": {
"uuid": "632fe30c-71ad-45da-8f8d-0fc7415e4941",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "1f862346-f3aa-4165-a914-a92b12a0f570",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "29b5cf28-9e3f-40bd-b64b-dcb5077bb47a",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "29b5cf28-9e3f-40bd-b64b-dcb5077bb47a",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "dcab7beb-fe50-4854-9b44-45609220b8f2",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-30T15:40:12+00:00",
"end_date": "2026-10-30T16:08:12+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "50a48006-9bce-4f21-b381-7cda00fadac3",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"tags": {
"uuid": "e364f050-6872-4bbe-86ae-19b48d88dbca",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-10-30T16:30:03+00:00",
"next_review_date": "2026-10-30T16:30:03+00:00",
"previous_review_date": "2026-10-30T16:30:03+00:00",
"anniversary_review_date": "2026-10-30T16:30:03+00:00",
"terms_of_business_at": "2026-10-30T16:30:03+00:00",
"client_agreement_at": "2026-10-30T16:30:03+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "cfdd20ea-b9ee-4d97-9783-a65ee367e4cd",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-30T16:30:12+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "5a28939a-9281-4baa-a966-e3142572b58a",
"login_access_level": "write",
"current_life_stage_uuid": "230b09bb-6d38-4bdb-afe0-42566708db6e"
},
"circles": {
"uuid": "cfdd20ea-b9ee-4d97-9783-a65ee367e4cd",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-30T16:30:12+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "5a28939a-9281-4baa-a966-e3142572b58a",
"login_access_level": "write",
"current_life_stage_uuid": "230b09bb-6d38-4bdb-afe0-42566708db6e"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:03",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:03+00:00",
"out_of_office_until": "2026-10-30T16:30:03+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "38a44c62-e348-4fb0-8ac4-77414347d0f7",
"name": "Gold",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "239840c7-476b-43a0-b194-d63787e8cb83",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}